<template>
	<view class="container">
		<view class="title">
		    <view>
		      <text class="line" style="background: #5F83FF;"></text>电子签名<text style="font-size: 20rpx;font-weight: normal;">（请书写工整，字迹清晰）</text>
		    </view>
		    <text class="page_mark">8/8</text>
		</view>
		<view class="signatureContent">
			<e-signature :showCanvas="showCanvas" ref="signatureComponent" @sendImage="getImage"></e-signature>
		</view>
		<view class="fixed" url="bank-card" @click="save()">
		   保存并下一步
		</view>
	</view>
</template>

<script>
	import eSignature from '@/components/eSignature/eSignature.vue';
	export default {
	    data() {
	        return {
				//打开canvas绘制签名
				showCanvas: true,
				//是否展示操作菜单
				completionSignPath: '' ,//签名
				
	        }
	    },
		components:{eSignature},
		onLoad() {
		},
	    methods: {
			save(){
				this.$refs.signatureComponent.finish()
			},
			getImage(e){
				console.log(e)
			}
	    }
	}
</script>

<style lang="scss">
	@import 'applyCommon.scss';
	.signatureContent{
	    margin: 0 13px 20px 13px;
		height: 100%;
	}
	.signature_action{
	    display: flex;
	    justify-content: space-evenly;
	    margin-top: 20px;
	    uni-image{max-width: 60px;max-height: 60px;}
	}
</style>